NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Routing.BendCornerCollection Class Reference

Represents a collection of NXOpen.Routing.BendCorner objects. More...

Inheritance diagram for NXOpen.Routing.BendCornerCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Types

enum  Type { RadiusRatio, Table }
 Option for creating a bend using a bend table or using radius or ratio More...
 

Public Member Functions

unsafe NXOpen.Routing.BendCorner AssignCornerByBendRadius (NXOpen.Routing.ControlPoint bendCrn, double bendRadius)
 This routine assigns a new bend corner to the given input bend corner object using bend radius. More...
 
unsafe NXOpen.Routing.BendCorner AssignCornerByBendRatio (NXOpen.Routing.ControlPoint bendCrn, double bendRatio)
 This routine assigns a new bend corner to the given input bend corner object using bend ratio. More...
 
unsafe NXOpen.Routing.BendCorner AssignCornerByBendTable (NXOpen.Routing.ControlPoint rcp, string bendTable)
 This routine assigns a bend corner to the given input RCP object using a bend table entry. More...
 
unsafe NXOpen.Routing.BendCorner Create (NXOpen.Routing.ControlPoint rcp, bool useBendRatio, double bendRatio, double bendRadius)
 Create a bend corner object at a Control Point. More...
 
unsafe NXOpen.Routing.BendCorner CreateCorner (NXOpen.Routing.ControlPoint rcp, NXOpen.Routing.CornerTypeBuilder.BendMethods bendMethod, double bendRatio, double bendRadius)
 Create a bend corner object at a Control Point. More...
 
unsafe NXOpen.Routing.BendCorner GetBendAssociatedToSegment (NXOpen.Routing.ISegment segment)
 Enquire the Bend Corner that this segment represents. More...
 
unsafe NXOpen.Routing.BendCorner[] GetBendCornersFromObjects (NXOpen.NXObject[] objects)
 Returns all the corners connected to the given objects, if any. More...
 
NXOpen.Routing.BendCorner[] ToArray ()
 Returns an array of NXOpen.Routing.BendCorner objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Routing.BendCorner objects.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

Created in NX4.0.0

Member Enumeration Documentation

Option for creating a bend using a bend table or using radius or ratio

Enumerator
RadiusRatio 

Using radius or ratio to create a bend corner.

Table 

Using a bend table to create a bend corner.

Member Function Documentation

unsafe NXOpen.Routing.BendCorner NXOpen.Routing.BendCornerCollection.AssignCornerByBendRadius ( NXOpen.Routing.ControlPoint  bendCrn,
double  bendRadius 
)
inline

This routine assigns a new bend corner to the given input bend corner object using bend radius.

This "assignment" can involve the removal of an existing corner at this location and the creation of a new corner.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
bendCrnInput bend corner.
bendRadiusRadius of bend corner arc.
Returns
The newly created Bend Corner
unsafe NXOpen.Routing.BendCorner NXOpen.Routing.BendCornerCollection.AssignCornerByBendRatio ( NXOpen.Routing.ControlPoint  bendCrn,
double  bendRatio 
)
inline

This routine assigns a new bend corner to the given input bend corner object using bend ratio.

This "assignment" can involve the removal of an existing corner at this location and the creation of a new corner.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
bendCrnInput bend corner.
bendRatioBend ratio must be greater than 0.5.
Returns
The newly created Bend Corner
unsafe NXOpen.Routing.BendCorner NXOpen.Routing.BendCornerCollection.AssignCornerByBendTable ( NXOpen.Routing.ControlPoint  rcp,
string  bendTable 
)
inline

This routine assigns a bend corner to the given input RCP object using a bend table entry.

This "assignment" can involve the removal of an existing corner at this location and the creation of a new corner. The application view must be loaded before attempting to assign a bend corner of this type.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
rcpControl point to assign corner to. a null reference (Nothing in Visual Basic) not allowed.
bendTableThe bend table entry that is used to create bend corner
Returns
The newly created Bend Corner
unsafe NXOpen.Routing.BendCorner NXOpen.Routing.BendCornerCollection.Create ( NXOpen.Routing.ControlPoint  rcp,
bool  useBendRatio,
double  bendRatio,
double  bendRadius 
)
inline

Create a bend corner object at a Control Point.

Created in NX4.0.0

Deprecated in NX8.5.0. Use Routing.BendCornerCollection.CreateCorner instead.

License requirements: routing_base ("Routing Basic")

Parameters
rcpRoute control point to bend.
useBendRatioTRUE: use bend ratio calculation, FALSE: use given radius
bendRatioBend ratio only used if use_bend_ratio is TRUE. Must be greater than 0.5.
bendRadiusRadius of bend corner arc, only used if use_bend_ratio is FALSE. Must be greater than 0.
Returns
The new bend corner.
unsafe NXOpen.Routing.BendCorner NXOpen.Routing.BendCornerCollection.CreateCorner ( NXOpen.Routing.ControlPoint  rcp,
NXOpen.Routing.CornerTypeBuilder.BendMethods  bendMethod,
double  bendRatio,
double  bendRadius 
)
inline

Create a bend corner object at a Control Point.

Created in NX8.5.0

License requirements: routing_base ("Routing Basic")

Parameters
rcpRoute control point to bend.
bendMethodEnumerated bend method.
bendRatioBend ratio is used only if bend method is set to NXOpen.Routing.CornerTypeBuilder.BendMethods.RatioToDiameter . Must be greater than 0.5.
bendRadiusRadius of bend corner arc, used only if bend method is set to NXOpen.Routing.CornerTypeBuilder.BendMethods.Radius . Must be greater than 0.
Returns
The new bend corner.
override int NXOpen.Routing.BendCornerCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

unsafe NXOpen.Routing.BendCorner NXOpen.Routing.BendCornerCollection.GetBendAssociatedToSegment ( NXOpen.Routing.ISegment  segment)
inline

Enquire the Bend Corner that this segment represents.

(a null reference (Nothing in Visual Basic) can be returned, indicating that this segment does not represent a Bend Corner.)

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
segmentSegment being queried for the Bend Corner it represents.
Returns
Bend Corner that segment represents (a null reference (Nothing in Visual Basic) can be returned,indicating that segment does not represent a Bend Corner).
unsafe NXOpen.Routing.BendCorner [] NXOpen.Routing.BendCornerCollection.GetBendCornersFromObjects ( NXOpen.NXObject[]  objects)
inline

Returns all the corners connected to the given objects, if any.

Can find corners from NXOpen.Routing.ControlPoint s, NXOpen.Routing.ISegment s, or NXOpen.Routing.Stock .

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Parameters
objects
Returns
NXOpen.Routing.BendCorner [] NXOpen.Routing.BendCornerCollection.ToArray ( )
inline

Returns an array of NXOpen.Routing.BendCorner objects.

Property Documentation

Tag NXOpen.Routing.BendCornerCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.